Subject: Re: bug#33944: 27.0.50; harfbuzz: Noto Sans Mandaic not rendered correctly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Jan 2019 18:04:15 +0200

> From: Benjamin Riefenstahl <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 01 Jan 2019 22:40:11 +0100
> 
> > When the value is nil, do you see the text that starts with Mandanaic
> > or Syriac letters begin at the right margin of the window?  IOW, do
> > you see that the paragraph direction changes when the paragraph begins
> > with a strong Right to Left letter?  Or does the text still get laid
> > out starting at the left margin of the window?
> 
> Yes.  With b-p-d set to rtl or nil I get the text at the right margin
> but with the shaping error.  With the default value ltr the text is at
> the left, and the shaping error is gone.  This is always with changing
> the script and restarting Emacs.
> 
> When I add an "x" at the beginning in the script and set b-p-d to nil,
> the text is at the left and with correct shaping.  If I set b-p-d to nil
> and interactively add or remove an "x" at the beginning of the line, the
> place where the text goes changes accordingly but the shaping does not
> change, the form persists that the script initially causes.  I executed
> clear-font-cache, but that does not make the shaping change in this
> scenario either.
> 
> Can I test something else?

Please test the latest branch, I tried to fix this problem.

Thanks.